Std Redo

From FreeCAD Documentation
Revision as of 20:22, 19 June 2020 by Renatorivo (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Std Undo.svg Std Undo
Next: Std Cut Std Cut.svg Arrow-right.svg

Std Redo.svg Std Redo

Menu location
Edit → Redo
Workbenches
All
Default shortcut
Ctrl+Y
Introduced in version
-
See also
Std Undo


Description

The Std Redo command reverses the action of the Std Undo command.

Usage

  1. There are several ways to invoke the command:
    • Press the Std Redo.svg Std Redo button.
    • Select the Edit → Std Redo.svg Redo option from the menu.
    • Use the keyboard shortcut: Ctrl+Y.

Options

  • To redo multiple actions click on the black down arrow to the right of the Std Redo.svg Std Redo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To redo an action that has just been undone use the redo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.redo()
Arrow-left.svg Previous: Std Undo.svg Std Undo
Next: Std Cut Std Cut.svg Arrow-right.svg